unbound: worker Struct Reference

unbound 0.1

Data Fields
worker Struct Reference

Structure holding working information for unbound. More...

`#include <worker.h>`

## Data Fields
int | thread_num
| the thread number (in daemon array).
struct daemon * | daemon
| global shared daemon structure
ub_thread_type | thr_id
| thread id
struct tube * | cmd
| pipe, for commands for this worker
struct comm_base * | base
| the event base this worker works with
struct listen_dnsport * | front
| the frontside listening interface where request events come in
struct outside_network * | back
| the backside outside network interface to the auth servers
int * | ports
| ports to be used by this worker.
int | numports
| number of ports for this worker
struct comm_signal * | comsig
| the signal handler
struct comm_point * | cmd_com
| commpoint to listen to commands.
struct comm_timer * | stat_timer
| timer for statistics
time_t | err_limit_time
| ratelimit for errors, time value
unsigned int | err_limit_count
| ratelimit for errors, packet count
struct ub_randstate * | rndstate
| random() table for this worker.
int | need_to_exit
| do we need to restart or quit (on signal)
struct alloc_cache * | alloc
| allocation cache for this thread
struct ub_server_stats | stats
| per thread statistics
struct regional * | scratchpad
| thread scratch regional
struct module_env | env
| module environment passed to modules, changed for this thread
int | reuse_cache
| reuse existing cache on reload if other conditions allow it.

## Detailed Description

Structure holding working information for unbound.

Holds globally visible information.

## Field Documentation

## ◆ thread_num

int worker::thread_num

the thread number (in daemon array).

First in struct for debug.

Referenced by do_activate_cookie_secret(), do_add_cookie_secret(), do_drop_cookie_secret(), do_dump_requestlist(), server_stats_obtain(), thread_start(), worker_create(), worker_delete(), worker_init(), worker_mem_report(), worker_start_accept(), worker_stat_timer_cb(), and worker_stop_accept().

The documentation for this struct was generated from the following file:

- daemon/worker.h